#!/usr/bin/env python2

import re
import sys
import os
from os import path
import shutil

srcpath = '/home/jreese/.znc/users/freenode/moddata/log'
outpath = '/home/jreese/pub/irclogs'
channels = set()

mantisbtre = re.compile('(?:default_)?#(mantisbt.*)_(\d\d\d\d)(\d\d)(\d\d).log')

for filename in os.listdir(srcpath):
    match = mantisbtre.match(filename)
    if match:
        channel, year, month, day = match.groups()
        channels.add(channel)

        logpath = path.join(outpath, channel)
        if not path.isdir(logpath):
            print "mkdir " + logpath
            os.mkdir(logpath)

        newname = "{0}_{1}-{2}-{3}.log".format(channel, year, month, day)
        print "cp " + filename + " " + newname
        shutil.copy(path.join(srcpath, filename), path.join(logpath, newname))

for channel in channels:
    logpath = path.join(outpath, channel)

    print "logs2html " + logpath
    os.system("logs2html {0}".format(logpath))

